Name:           spirv-reflect
Version:        1.4.304.0
Release:        %autorelease
Summary:        SPIRV-Reflect is a lightweight library that provides a C/C++ reflection API for SPIR-V shader bytecode in Vulkan applications.
License:        Apache
URL:            https://github.com/KhronosGroup/SPIRV-Reflect
Source0:        %{url}/archive/vulkan-sdk-%{version}.tar.gz

# Base
BuildRequires:  gcc-c++
BuildRequires:  cmake

Requires:       vulkan-headers = %{version}

%description
SPIRV-Reflect is a lightweight library that provides a C/C++ reflection API for SPIR-V shader bytecode in Vulkan applications.

%package        devel
Summary:        Development files for %{name}
License:        Apache-2.0
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n SPIRV-Reflect-vulkan-sdk-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_includedir}/SPIRV-Reflect
cp -r spirv_reflect.h spirv_reflect.c include $_
rm -rf %{buildroot}%{_includedir}/SPIRV-Reflect/include

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}-pp

%files devel
%doc README.md
%{_includedir}/SPIRV-Reflect/spirv_reflect.c
%{_includedir}/SPIRV-Reflect/spirv_reflect.h

%changelog
%autochangelog
